#pragma once
#include <vector>
#include "Mesh.h"

#include "Material.h"
#include "Texture.h"

#include "Scene.h"

namespace BarinkEngine {

	class Renderable {
	public:
		Mesh mesh;
		Material* material;
		Texture* texture;

		Shader* shader;

		Renderable();
		~Renderable();
	};
}