#pragma once
#include "Graphics/Renderable.h"
#include "Scene/SceneNodeTypes.h"

#include <glm/glm.hpp>
/*
* Define a helper class to more easily build a proper scene 
*/
static class SceneBuilder {

	static Group* AddGroup(std::string name);
	static SceneObject* AddVisual(std::string name, Renderable& object, glm::vec3 position );

};